<?php
/**
 * Zásuvný modul, který konvertuje format data
 *
 */
class MyWeb_Controller_Plugin_ConverterDate extends Zend_Controller_Plugin_Abstract  
{
	public function convertDateA($dateTime)
	{
		if (!empty($dateTime)){
			//echo "<p>".$dateTime."</p>";
        	$dateArray = explode('.', $dateTime);
        	$pom = $dateArray[0];
        	$dateArray[0] = $dateArray[2];
        	$dateArray[2] = $pom;
        	/*$pom = $dateArray[1];
        	$dateArray[1] = $dateArray[2];
        	$dateArray[2] = $pom;*/
        	$dateTime = implode('-', $dateArray);
        }else {
        	$dateTime = "";
        }
        return $dateTime;
	}
	
	public function convertDateB($dateTime)
	{
		//2012-03-05 19:16:03
		if (!empty($dateTime)){
			//echo "<p>".$dateTime."</p>";
        	$dateArray = explode('.', $dateTime);
        	$pom = $dateArray[0];
        	$dateArray[0] = $dateArray[2];
        	$dateArray[2] = $pom;
        	/*$pom = $dateArray[1];
        	$dateArray[1] = $dateArray[2];
        	$dateArray[2] = $pom;*/
        	$dateTime = implode('-', $dateArray);
        }else {
        	$dateTime = "";
        }
        return $dateTime;
	}
}